<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <title>Jquery Scroll Pagination</title>
    <script type="text/javascript" src="scripts/jquery.js"></script>
    <script type="text/javascript" src="scripts/scrollpagination.js"></script>
    <script type="text/javascript">
        $(function () {
            $('#content').scrollPagination({
                'contentPage':'pagination',
                'contentData':{},
                'scrollTarget':$(window),
                'heightOffset':10,
                'beforeLoad':function () {
                    $('#loading').fadeIn();
                },
                'afterLoad':function (elementsLoaded) {
                    $('#loading').fadeOut();
                    var i = 0;
                    if ($('#content').children().size() > 100) {
                        $('#nomoreresults').fadeIn();
                        $('#content').stopScrollPagination();
                    }
                },
                'dataType':'json',
                'loader':function (data) {
                    $.each(data.root,function(idx,item){
                        $('#content').append("<li><p>" + item.content + "</p></li>");
                    });
                }
            });

        });
    </script>
</head>
<body>
<div id="scrollpaginationdemo">
    <ul id="content">
        <c:forEach var="item" items="${content}">
            <li>
                <p>${item}</p>
            </li>
        </c:forEach>
    </ul>
    <div class="loading" id="loading">Wait a moment... it's loading!</div>
    <div class="loading" id="nomoreresults">Sorry, no more results for your pagination demo.</div>
</div>
</body>
</html>